curl --request GET \
--url https://api.byblend.com/api/v1/products/order_material \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.byblend.com/api/v1/products/order_material"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.byblend.com/api/v1/products/order_material', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"sku": "1234567890",
"name": "Referral Brochure",
"description": "Customer brochure included in every shipment.",
"category": "marketing",
"current_stock": 927,
"reorder_threshold": 100,
"has_inventory": true,
"is_global": false
}
]Get order materials
Retrieve all order materials. This endpoint returns paginated responses.
Details on pagination are returned in response headers.
X-Total-Count: total number of items availableX-Page: current page numberX-Page-Size: number of items per pageX-Total-Pages: total number of pages availableX-Remaining-Count: number of items remaining after the current page
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number for pagination
1
Number of items per page; defaults to 25, max of 200
25
Response
Successful response with all order materials.
Unique identifier
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Date and time of creation
"2025-03-15T12:00:00Z"
Date and time of last update
"2025-03-15T12:00:00Z"
Unique inventory identifier for the product
"1234567890"
"Referral Brochure"
"Customer brochure included in every shipment."
"marketing"
927
100
Whether the product has any inventory associated with it
true
Whether the material is customer-specific or Blend-wide (e.g. regulatory inserts)
false